Skip to main content
The decompoundQuery parameter controls splitting compound words in the query into their component parts. Decompounding is available for these queryLanguages: German, Dutch, Finnish, Danish, Swedish, and Norwegian.

Usage

  • If true (default), compound words are split into multiple parts to improve recall. For example, the Dutch query "schoolboeken" (school books) will match "school", "boeken", and "schoolboeken".
  • If false, compound words are matched as-is.
    This is useful when you want to preserve precise matches for product names, legal terms, or brand names.
    For example, "gartenstühle" (garden chairs in German) would only match "gartenstühle".
  • Decompounding doesn’t apply to decomposed Unicode characters with combining marks. For example, "Gartenstühle" (using u + combining ◌̈) won’t be split, but "Gartenstühle" (single ü character) will be.
  • To control decompounding for individual attributes, see decompoundedAttributes.

Examples

Enable splitting compound words by default

Current API clients

Current API clients

Last modified on May 19, 2026